package io.zipcoder.crudapp;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;

import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;


public class TestPersonController {


    @Mock
    PersonRepository repositoryMock;

    @InjectMocks
    PersonController controllerMock;

    @Before
    public void setupMock(){
        repositoryMock = mock(PersonRepository.class);
        controllerMock = mock(PersonController.class);
    }

    @Test
    public void testMockCreation(){
        Assert.assertNotNull(repositoryMock);
        Assert.assertNotNull(controllerMock);
    }

    @Test
    public void testCreate(){
        Person person = new Person (1,"First","Last");
        when(repositoryMock.save(person)).thenReturn(person);
        Assert.assertEquals(person,controllerMock.getPerson(1));
    }
}
